MyGUI: MyGUI::RenderManager Class Reference

MyGUI 3.2.2

Public Member Functions | Protected Member Functions
MyGUI::RenderManager Class Referenceabstract

`#include <MyGUI_RenderManager.h>`

Inheritance diagram for MyGUI::RenderManager:
[legend]

## Public Member Functions
virtual IVertexBuffer * | createVertexBuffer ()=0
virtual void | destroyVertexBuffer (IVertexBuffer *_buffer)=0
virtual ITexture * | createTexture (const std::string &_name)=0
virtual void | destroyTexture (ITexture *_texture)=0
virtual ITexture * | getTexture (const std::string &_name)=0
virtual const IntSize & | getViewSize () const =0
virtual VertexColourType | getVertexFormat ()=0
virtual bool | isFormatSupported (PixelFormat _format, TextureUsage _usage)
Public Member Functions inherited from MyGUI::Singleton< RenderManager >
| Singleton ()
virtual | ~Singleton ()

## Protected Member Functions
virtual void | onResizeView (const IntSize &_viewSize)
virtual void | onRenderToTarget (IRenderTarget *_target, bool _update)
virtual void | onFrameEvent (float _time)

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< RenderManager >
typedef Singleton< RenderManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< RenderManager >
static RenderManager & | getInstance ()
static RenderManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 20 of file MyGUI_RenderManager.h.

## Member Function Documentation

## ◆ createTexture()

virtual ITexture* MyGUI::RenderManager::createTexture | ( | const std::string & | _name | ) |
| pure virtual

Create empty texture instance

## ◆ createVertexBuffer()

virtual IVertexBuffer* MyGUI::RenderManager::createVertexBuffer | ( |  | ) |
| pure virtual

Create vertex buffer. This method should create vertex buffer with triangles list type, each vertex have position, colour, texture coordinates.

## ◆ destroyTexture()

virtual void MyGUI::RenderManager::destroyTexture | ( | ITexture * | _texture | ) |
| pure virtual

Destroy texture

## ◆ destroyVertexBuffer()

virtual void MyGUI::RenderManager::destroyVertexBuffer | ( | IVertexBuffer * | _buffer | ) |
| pure virtual

Destroy vertex buffer

## ◆ getTexture()

virtual ITexture* MyGUI::RenderManager::getTexture | ( | const std::string & | _name | ) |
| pure virtual

Get texture by name

## ◆ getVertexFormat()

virtual VertexColourType MyGUI::RenderManager::getVertexFormat | ( |  | ) |
| pure virtual

Get current vertex colour type

## ◆ getViewSize()

virtual const IntSize& MyGUI::RenderManager::getViewSize | ( |  | ) | const
| pure virtual

## ◆ isFormatSupported()

bool MyGUI::RenderManager::isFormatSupported | ( | PixelFormat | _format,
|  | TextureUsage | _usage
| ) |  |
| virtual

Check if texture format supported by hardware

Definition at line 18 of file MyGUI_RenderManager.cpp.

## ◆ onFrameEvent()

void MyGUI::RenderManager::onFrameEvent | ( | float | _time | ) |
| protectedvirtual

Definition at line 44 of file MyGUI_RenderManager.cpp.

## ◆ onRenderToTarget()

void MyGUI::RenderManager::onRenderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |
| protectedvirtual

Definition at line 37 of file MyGUI_RenderManager.cpp.

## ◆ onResizeView()

void MyGUI::RenderManager::onResizeView | ( | const IntSize & | _viewSize | ) |
| protectedvirtual

Definition at line 30 of file MyGUI_RenderManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_RenderManager.h
- MyGUI_RenderManager.cpp